﻿@model Domain.Ejemplo.Producto
@{
    ViewData["Title"] = "Detalles";
    Layout = "~/Views/Shared/_HomeLayout.cshtml";
    int cont = 0;
    int cont2 = 0;
}

<div class="k-content__body	k-grid__item k-grid__item--fluid" id="k_content_body" style="padding-top:15px">
    <div class="k-portlet">
        <div class="row">
            <div class="col-xl-5 col-lg-5 col-md-6">
                <div id="carousel-example-1" class="single-product-slider carousel slide" data-ride="carousel">
                    <div class="carousel-inner" role="listbox">

                        @foreach (var item in Model.ImagenProducto)
                        {
                            <div class="carousel-item @(cont == 0 ? "active" : "")" style="height: 600px; overflow: hidden;"> <img class="d-block w-100" src="~/Documentos/@item.URL" alt="slide"> </div>
                            cont++;
                        }
                    </div>
                    <a class="carousel-control-prev" href="#carousel-example-1" role="button" data-slide="prev" style="color:black">
                        <i class="fa fa-angle-left" aria-hidden="true"></i>
                        <span class="sr-only">Previous</span>
                    </a>
                    <a class="carousel-control-next" href="#carousel-example-1" role="button" data-slide="next" style="color:black">
                        <i class="fa fa-angle-right" aria-hidden="true"></i>
                        <span class="sr-only">Next</span>
                    </a>
                    <ol class="carousel-indicators" style="background-color:#0000006b;">
                        @foreach (var item in Model.ImagenProducto)
                        {
                            <li data-target="#carousel-example-1" data-slide-to="@cont2" class="@(cont2 == 0 ? "active" : "")" style="height: 40px; overflow: hidden;">
                                <img class="d-block w-100 img-fluid" src="~/Documentos/@item.URL" alt="" />
                            </li>
                            cont2++;
                        }
                    </ol>
                </div>
            </div>
            <div class="col-xl-7 col-lg-6 col-md-5 my-auto">
                <div class="single-product-details">
                    <h2>@Model.Nombre</h2>

                    @if (Model.Descuento)
                    {
                        <h5>
                            <del style="color:#ea5454">$ @Model.precio MXN</del> / $ @Model.PrecioConDescuento MXN ahorra un @Model.PorcentajeDes %
                        </h5>
                    }
                    else
                    {
                        <h5>
                            $ @Model.precio MXN
                        </h5>
                    }

                    <br />
                    <br />
                    <p>
                        <h4>Descripción:</h4>
                    <p>
                        @Model.Descripcion
                    </p>
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label><font color="red">*</font> Talla</label>
                                <select class="form-control k_selectpicker">
                                    <option value="" selected style="display:none">Selecciona una talla</option>
                                    @if (Model.talla_XS > 0)
                                    {
                                        <option value="0">XS</option>
                                    }
                                    else
                                    {
                                        <option value="0" disabled>XS</option>
                                    }
                                    @if (Model.talla_S > 0)
                                    {
                                        <option value="0">S</option>
                                    }
                                    else
                                    {
                                        <option value="0" disabled>S</option>
                                    }
                                    @if (Model.talla_M > 0)
                                    {
                                        <option value="0">M</option>
                                    }
                                    else
                                    {
                                        <option value="0" disabled>M</option>
                                    }
                                    @if (Model.talla_L > 0)
                                    {
                                        <option value="0">L</option>
                                    }
                                    else
                                    {
                                        <option value="0" disabled>L</option>
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group quantity-box">
                                <label class="control-label">Cantidad</label>
                                <input class="form-control" value="0" min="0" max="20" type="number">
                            </div>
                        </div>
                    </div>


                    <div class="cart-and-bay-btn" style="text-align:end">
                        <a class="btn btn-md btn-primary" data-fancybox-close="" href="#">Comprar ahora</a>
                        <a class="btn btn-md btn-outline-primary" data-fancybox-close="" href="#">Añadir al carrito</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<link href="~/assets/vendors/general/bootstrap-select/dist/css/bootstrap-select.css" rel="stylesheet" type="text/css" />
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.2/css/select2.min.css" rel="stylesheet" type="text/css" />
